This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 1045363 (CVE-2013-6449)

Summary: CVE-2013-6449 openssl: crash when using TLS 1.2 caused by use of incorrect hash algorithm
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: erik-fedora, fweimer, hkario, huwang, jason.greene, jclere, jdoyle, jkurik, ktietz, lfarkas, lgao, mkolaja, myarboro, pcheung, pfrields, rjones, tmraz, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20131219,reported=20131220,source=internet,cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:N/A:P,rhel-3/openssl=notaffected,rhel-4/openssl=notaffected,rhel-5/openssl=notaffected,rhel-5/openssl097a=notaffected,rhel-6/openssl=affected,rhel-6/openssl098e=notaffected,rhel-7/openssl=notaffected,rhel-7/openssl098e=notaffected,eap-5/openssl=notaffected,eap-6/openssl=notaffected,jbews-1/openssl=notaffected,jbews-2/openssl=notaffected,fedora-all/openssl=affected,fedora-all/mingw-openssl=affected
Fixed In Version: openssl 1.0.1f Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-01-08 15:09:50 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 1045211, 1045441, 1045443, 1045444, 1045459    
Bug Blocks: 1045440    

Description Tomas Hoger 2013-12-20 04:28:44 EST
A flaw was reported for OpenSSL 1.0.1e, that can cause application using OpenSSL to crash when using TLS version 1.2.  Issue was reported via the following OpenSSL upstream ticket:

http://rt.openssl.org/Ticket/Display.html?id=3200&user=guest&pass=guest

and also as bug for Apache Traffic Server:

https://issues.apache.org/jira/browse/TS-2355

Fix is now committed in upstream git:

http://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=ca98926

Related to the above ticket, upstream also added this fix to improve error checks in OpenSSL:

http://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=0294b2b
Comment 1 Tomas Hoger 2013-12-20 07:23:52 EST
Support for TLS 1.2 in openssl packages in Red Hat Enterprise Linux 6 was only introduced in Red Hat Enterprise Linux 6.5, when openssl packages were updated from version 1.0.0 to 1.0.1e via RHBA-2013:1585.  The openssl packages in Red Hat Enterprise Linux 6 before 6.5 and earlier versions of Red Hat Enterprise Linux do not support TLS 1.1 and 1.2.

https://rhn.redhat.com/errata/RHBA-2013-1585.html
Comment 3 Tomas Hoger 2013-12-20 07:33:18 EST
Created openssl tracking bugs for this issue:

Affects: fedora-all [bug 1045443]
Comment 4 Tomas Hoger 2013-12-20 07:33:21 EST
Created mingw-openssl tracking bugs for this issue:

Affects: fedora-all [bug 1045444]
Comment 7 Fedora Update System 2013-12-22 00:32:16 EST
openssl-1.0.1e-36.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-12-22 00:38:35 EST
openssl-1.0.1e-36.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-12-22 00:39:30 EST
openssl-1.0.1e-36.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Tomas Hoger 2014-01-07 14:45:03 EST
Issue was fixed in upstream version 1.0.1f:

http://www.openssl.org/news/vulnerabilities.html#2013-6449
http://www.openssl.org/news/openssl-1.0.1-notes.html
Comment 11 Tomas Hoger 2014-01-07 14:46:00 EST
Statement:

This issue did not affect the versions of openssl as shipped with Red Hat Enterprise Linux 5 and earlier.
Comment 12 errata-xmlrpc 2014-01-08 13:19:27 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0015 https://rhn.redhat.com/errata/RHSA-2014-0015.html
Comment 13 Tomas Hoger 2014-01-08 15:51:28 EST
Additional details form upstream developer, explaining 0.9.8 versions are unaffected:

http://www.mail-archive.com/openssl-dev@openssl.org/msg33547.html
Comment 14 errata-xmlrpc 2014-01-21 12:03:47 EST
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0041 https://rhn.redhat.com/errata/RHSA-2014-0041.html